import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { IUnknownValuePlotting } from "igniteui-react-core/ES2015/IUnknownValuePlotting";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { UnknownValuePlotting } from "igniteui-react-core/ES2015/UnknownValuePlotting";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core/ES2015/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { Path } from "igniteui-react-core/ES2015/Path";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Clipper } from "igniteui-react-core/ES2015/Clipper";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
export declare class LineSeries extends HorizontalAnchoredCategorySeries implements IUnknownValuePlotting {
    protected bf(): SeriesView;
    p7: LineSeriesView;
    ii(a: SeriesView): void;
    protected get_cj(): boolean;
    readonly cj: boolean;
    constructor();
    p6: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hl(a: boolean, b: SeriesView): void;
    ob(a: CategoryFrame, b: CategorySeriesView): void;
    unknownValuePlotting: UnknownValuePlotting;
    protected io(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
    static $t: Type;
}
export declare class LineSeriesView extends AnchoredCategorySeriesView {
    protected c4: LineSeries;
    constructor(a: LineSeries);
    private de;
    private dd;
    private df;
    readonly db: Path;
    readonly dc: Path;
    readonly da: Path;
    c5(): void;
    c6(a: number, b: List$1<number[]>, c: boolean, d: UnknownValuePlotting, e: Clipper, f: number, g: number): void;
    protected a8(): void;
    private c9;
    private c8;
    private c7;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    protected ac(): void;
    static $t: Type;
}
